Package robocode

# Class MouseMovedEvent

java.lang.Object
robocode.Event
robocode.MouseEvent
robocode.MouseMovedEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<Event>`

public final class MouseMovedEvent extends MouseEvent
A MouseMovedEvent is sent to `onMouseMoved()` when the mouse has moved inside the battle view.

Since:
  1.6.1
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  - `MouseClickedEvent`
  - `MousePressedEvent`
  - `MouseReleasedEvent`
  - `MouseEnteredEvent`
  - `MouseExitedEvent`
  - `MouseDraggedEvent`
  - `MouseWheelMovedEvent`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MouseMovedEvent(MouseEvent source)`
Called by the game to create a new MouseMovedEvent.

## Method Summary

### Methods inherited from class robocode.MouseEvent

`getSourceEvent`

### Methods inherited from class robocode.Event

`compareTo, getPriority, getTime, setPriority, setTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MouseMovedEvent

public MouseMovedEvent(MouseEvent source)
Called by the game to create a new MouseMovedEvent.

Parameters:
  `source` - the source mouse event originating from the AWT.